local user_name = ReqBody.UserName
local len = string.len(user_name)
local c
local byte
for i = 1, len do
    c = string.sub(user_name, i, i)
    byte = string.byte(c)
    if (byte >= 0x00 and byte <= 0x1F) or byte == 0x7F then
        error(custom_messages.AuthorizationFailed())
    end
end